<template>
  <div class="block">
    <h3 class="">
        Hackathon Form
    </h3>
    <Input 
      label="Name"
      inputType="text"
      model="hackathonName"
    />
    <router-link to="/h/hackathon/ed">
      <Button :action="saveHackathon" text="Save" buttonType="primaryAlt"/>
    </router-link>
    <router-view />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

import NavBar from '@/components/Navbar.vue';
import Input from '@/components/Base/Input.vue';
import Button from '@/components/Base/Button.vue';

interface HackathonData {
    hackathonName: string;
}

export default Vue.extend({
  data(): HackathonData {
    return {
      hackathonName: '',
    };
  },
  components: {
    NavBar,
    Input,
    Button,
  },
  methods: {
    saveHackathon() {
        console.log(this.hackathonName);
    },
  },
});
</script>
